
User Interface - Feature #3313

implement SYSTEM-DIALOG-PRINTER-SETUP

07/24/2017 09:22 AM - Ovidiu Maxiniuc

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Hynek Cihlar % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No vendor_id: GCD

Description

Related issues:

Related to User Interface - Bug #1830: implement SYSTEM-DIALOG-GET-FILE support Closed

Related to User Interface - Feature #1795: implement printing support (real G... Closed

History

#1 - 07/24/2017 09:23 AM - Ovidiu Maxiniuc

- Related to Bug #1830: implement SYSTEM-DIALOG-GET-FILE support added

#2 - 07/24/2017 09:23 AM - Ovidiu Maxiniuc

- Status changed from New to WIP

Added conversion support in task branch 1830a, revision 11159.

The full-syntax construct like this:

SYSTEM-DIALOG PRINTER-SETUP

   NUM-COPIES 3 + 2

   LANDSCAPE

   PORTRAIT

   UPDATE OKpressed

   IN WINDOW CURRENT-WINDOW.

will be converted in java as:

PrintingService.createSetupDialog()

               .setCopyCount(plus(3, 2))

               .setOrientation(PrintingService.LANDSCAPE)

               .setOrientation(PrintingService.PORTRAIT)

               .update(okpressed)

               .setWindow(currentWindow())

               .execute();

Notes:

the static method call handles the mandatory parameters;

each non-static method call (except execute) from the chaining represents an option that sets up the server-side configuration of the statement;

finally, the execute method does the actual call on client side that will open the chooser dialog, based on options selected.
#3 - 07/24/2017 09:28 AM - Greg Shah

I like the approach.  Go ahead with this.

#4 - 07/26/2017 08:21 AM - Greg Shah

- Related to Feature #1795: implement printing support (real GUI printing not the child process stuff used in CHUI) added

#5 - 07/26/2017 08:22 AM - Greg Shah

- Subject changed from implement SYSTEM-DIALOG PRINTER-SETUP to implement SYSTEM-DIALOG-PRINTER-SETUP

#6 - 10/28/2017 10:13 AM - Hynek Cihlar

Runtime support of the print dialog in the limited support for the internal PDF printer was merged to trunk in 1795b as revision 11184.

#7 - 10/28/2017 09:26 PM - Greg Shah

- % Done changed from 0 to 100

- Status changed from WIP to Closed

- Assignee set to Hynek Cihlar

For now, the implementation is not directly mapped to the Windows printer dialog.  Instead it is designed to support a PDF-only output.
